io.vertx.reactivex.sqlclient

## Class PreparedQuery

- java.lang.Object
- - io.vertx.reactivex.sqlclient.PreparedQuery

-     public class PreparedQuery
      extends Object

  A prepared query.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PreparedQuery>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedQuery(PreparedQuery delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreparedQuery` | `batch(List<Tuple> argsList, Handler<AsyncResult<RowSet<Row>>> handler)` Execute a batch.
    `void` | `close()` Close the prepared query and release its resources.
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Like `close()` but notifies the `completionHandler` when it's closed.
    `RowStream<Row>` | `createStream(int fetch, Tuple args)` Execute the prepared query with a cursor and createStream the result.
    `Cursor` | `cursor()`
    `Cursor` | `cursor(Tuple args)` Create a cursor with the provided `arguments`.
    `boolean` | `equals(Object o)`
    `PreparedQuery` | `execute(Handler<AsyncResult<RowSet<Row>>> handler)` Calls `execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.sqlclient.RowSet<io.vertx.reactivex.sqlclient.Row>>>)` with an empty tuple argument.
    `PreparedQuery` | `execute(Tuple args, Handler<AsyncResult<RowSet<Row>>> handler)` Create a cursor with the provided `arguments`.
    `PreparedQuery` | `getDelegate()`
    `int` | `hashCode()`
    `static PreparedQuery` | `newInstance(PreparedQuery arg)`
    `Single<RowSet<Row>>` | `rxBatch(List<Tuple> argsList)` Execute a batch.
    `Completable` | `rxClose()` Like `close()` but notifies the `completionHandler` when it's closed.
    `Single<RowSet<Row>>` | `rxExecute()` Calls `execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.sqlclient.RowSet<io.vertx.reactivex.sqlclient.Row>>>)` with an empty tuple argument.
    `Single<RowSet<Row>>` | `rxExecute(Tuple args)` Create a cursor with the provided `arguments`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PreparedQuery> __TYPE_ARG

  - ### Constructor Detail

    - #### PreparedQuery

          public PreparedQuery(PreparedQuery delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PreparedQuery getDelegate()

    - #### execute

          public PreparedQuery execute(Handler<AsyncResult<RowSet<Row>>> handler)

      Calls `execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.sqlclient.RowSet<io.vertx.reactivex.sqlclient.Row>>>)` with an empty tuple argument.
      Parameters:
        `handler` -
      Returns:

    - #### rxExecute

          public Single<RowSet<Row>> rxExecute()

      Calls `execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.sqlclient.RowSet<io.vertx.reactivex.sqlclient.Row>>>)` with an empty tuple argument.
      Returns:

    - #### execute

          public PreparedQuery execute(Tuple args,
                                       Handler<AsyncResult<RowSet<Row>>> handler)

      Create a cursor with the provided `arguments`.
      Parameters:
        `args` - the list of arguments
        `handler` -
      Returns:
        the query

    - #### rxExecute

          public Single<RowSet<Row>> rxExecute(Tuple args)

      Create a cursor with the provided `arguments`.
      Parameters:
        `args` - the list of arguments
      Returns:
        the query

    - #### cursor

          public Cursor cursor()

      Returns:
        create a query cursor with a `fetch` size and empty arguments

    - #### cursor

          public Cursor cursor(Tuple args)

      Create a cursor with the provided `arguments`.
      Parameters:
        `args` - the list of arguments
      Returns:
        the query

    - #### createStream

          public RowStream<Row> createStream(int fetch,
                                             Tuple args)

      Execute the prepared query with a cursor and createStream the result. The createStream opens a cursor with a `fetch` size to fetch the results.

      Note: this requires to be in a transaction, since cursors require it.
      Parameters:
        `fetch` - the cursor fetch size
        `args` - the prepared query arguments
      Returns:
        the createStream

    - #### batch

          public PreparedQuery batch(List<Tuple> argsList,
                                     Handler<AsyncResult<RowSet<Row>>> handler)

      Execute a batch.
      Parameters:
        `argsList` - the list of tuple for the batch
        `handler` -
      Returns:
        the createBatch

    - #### rxBatch

          public Single<RowSet<Row>> rxBatch(List<Tuple> argsList)

      Execute a batch.
      Parameters:
        `argsList` - the list of tuple for the batch
      Returns:
        the createBatch

    - #### close

          public void close()

      Close the prepared query and release its resources.

    - #### close

          public void close(Handler<AsyncResult<Void>> completionHandler)

      Like `close()` but notifies the `completionHandler` when it's closed.
      Parameters:
        `completionHandler` -

    - #### rxClose

          public Completable rxClose()

      Like `close()` but notifies the `completionHandler` when it's closed.
      Returns:

    - #### newInstance

          public static PreparedQuery newInstance(PreparedQuery arg)

Copyright © 2019 Eclipse. All rights reserved.